BasicComboPopup.InvocationMouseMotionHandler (Java Platform SE 8 )
Keywords: javax.swing.plaf.basic.BasicComboPopup.InvocationMouseMotionHandler class
Date: 2016-12-09

javax.swing.plaf.basic

## Class BasicComboPopup.InvocationMouseMotionHandler

- java.lang.Object
- - java.awt.event.MouseMotionAdapter
  - - javax.swing.plaf.basic.BasicComboPopup.InvocationMouseMotionHandler

- All Implemented Interfaces:
    MouseMotionListener, EventListener
  Enclosing class:
    BasicComboPopup

      protected class BasicComboPopup.InvocationMouseMotionHandler
      extends MouseMotionAdapter

  This listener watches for dragging and updates the current selection in the list if it is dragging over the list.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InvocationMouseMotionHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseDragged(MouseEvent e)` Invoked when a mouse button is pressed on a component and then dragged.

    - ### Methods inherited from class java.awt.event.MouseMotionAdapter

      `mouseMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvocationMouseMotionHandler

          protected InvocationMouseMotionHandler()

  - ### Method Detail

    - #### mouseDragged

          public void mouseDragged(MouseEvent e)

      Description copied from class: `MouseMotionAdapter`
      Invoked when a mouse button is pressed on a component and then dragged. Mouse drag events will continue to be delivered to the component where the first originated until the mouse button is released (regardless of whether the mouse position is within the bounds of the component).
      Specified by:
        `mouseDragged` in interface `MouseMotionListener`
      Overrides:
        `mouseDragged` in class `MouseMotionAdapter`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.